
CoCoALib - Feature #1619

Make saturate available in CoCoALib

15 Oct 2021 14:22 - Florian Walsh

Status: Closed Start date: 15 Oct 2021

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99850 Spent time: 1.40 hour

Description

It seems like this is already implemented. There is a function mySaturate in AlgebraicCore/SparsePolyOps-ideal.C.

It is not documented and I am not sure if it is intended to be used directly by the user.

Related issues:

Related to CoCoALib - Design #1326: Modify function myElim so that it returns... Closed 03 Oct 2019

Related to CoCoALib - Slug #967: Improve saturate Resolved 10 Nov 2016

Related to CoCoALib - Support #942: Which names to use?  Intersection/saturat... In Progress 10 Oct 2016

History

#1 - 20 Jan 2022 11:51 - Florian Walsh

It seems like I need to call MakeUnique(I)->mySaturate(J) to compute the saturation of I wrt. to J.

#2 - 20 Jan 2022 15:56 - John Abbott

- Category set to New Function

- Target version set to CoCoALib-0.99850

- % Done changed from 0 to 10

To my eye that syntax looks quite ugly.

Why can I not just write saturate(I,J)?

What does MakeUnique do?  And why do I need it here?

#3 - 21 Jan 2022 12:22 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 20

In ideal.C we have intersect and colon.

We should add saturate in the same way.

(similarly, we should have a better interface for elim as well)

#4 - 21 Jan 2022 12:24 - John Abbott

- Related to Design #1326: Modify function myElim so that it returns ideal?  (not quite) added

#5 - 13 Mar 2024 19:23 - John Abbott

- Related to Slug #967: Improve saturate added

#6 - 16 Mar 2024 21:47 - John Abbott

- Status changed from New to In Progress
- % Done changed from 20 to 60

I have added saturate to the relevant header file.  And also a test for #1790.

Added some doc.  Do we need tests?  Can we close?

#7 - 18 Mar 2024 09:23 - John Abbott

Maybe different types:

monomial

principal

univariate

general

#8 - 21 Mar 2024 17:54 - Anna Maria Bigatti

John Abbott wrote:

Maybe different types:

monomial

principal

univariate

general

 

also homog

#9 - 21 Mar 2024 17:55 - Anna Maria Bigatti

- % Done changed from 60 to 80

added CoCoA-5 test-saturate.cocoa5

#10 - 21 Mar 2024 17:57 - Anna Maria Bigatti

- Related to Support #942: Which names to use?  Intersection/saturation vs intersect/saturate added

#11 - 22 Mar 2024 10:14 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
